from django.urls import include, path
from rest_framework.routers import DefaultRouter

from apps.books.views import BookViewSet, EBookViewSet, book_reading_settings_view

router = DefaultRouter()
router.register(r"ebooks", EBookViewSet, basename="ebook")
router.register(r"", BookViewSet, basename="book")

urlpatterns = [
    path("settings/", book_reading_settings_view, name="book-settings"),
    path("", include(router.urls)),
]
